search
To retrieve more than one record, use the objects operation.
Usage
// Initialize the client
var client = new SearchClient(new SearchConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY"));
// Call the API
var response = await client.GetObjectAsync(
"<YOUR_INDEX_NAME>",
"uniqueID",
new List<string> { "attr1", "attr2" }
);
// print the response
Console.WriteLine(response);
// Initialize the client
final client =
SearchClient(appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.getObject(
indexName: "<YOUR_INDEX_NAME>",
objectID: "uniqueID",
attributesToRetrieve: [
"attr1",
"attr2",
],
);
// print the response
print(response);
// Initialize the client
client, err := search.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.GetObject(client.NewApiGetObjectRequest(
"<YOUR_INDEX_NAME>", "uniqueID").WithAttributesToRetrieve(
[]string{"attr1", "attr2"}))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)
// Initialize the client
SearchClient client = new SearchClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
Object response = client.getObject("<YOUR_INDEX_NAME>", "uniqueID", Arrays.asList("attr1", "attr2"));
// print the response
System.out.println(response);
// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
const response = await client.getObject({
indexName: 'theIndexName',
objectID: 'uniqueID',
attributesToRetrieve: ['attr1', 'attr2'],
});
// print the response
console.log(response);
// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.getObject(
indexName = "<YOUR_INDEX_NAME>",
objectID = "uniqueID",
attributesToRetrieve = listOf("attr1", "attr2"),
)
// print the response
println(response)
// Initialize the client
$client = SearchClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->getObject(
'<YOUR_INDEX_NAME>',
'uniqueID',
[
'attr1',
'attr2',
],
);
// print the response
var_dump($response);
# Initialize the client
# In an asynchronous context, you can use SearchClient instead, which exposes the exact same methods.
client = SearchClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.get_object(
index_name="<YOUR_INDEX_NAME>",
object_id="uniqueID",
attributes_to_retrieve=[
"attr1",
"attr2",
],
)
# print the response
print(response)
# Initialize the client
client = Algolia::SearchClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.get_object("<YOUR_INDEX_NAME>", "uniqueID", ["attr1", "attr2"])
# print the response
puts(response)
// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.getObject(
indexName = "<YOUR_INDEX_NAME>",
objectID = "uniqueID",
attributesToRetrieve = Some(Seq("attr1", "attr2"))
),
Duration(100, "sec")
)
// print the response
println(response)
// Initialize the client
let client = try SearchClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response: [String: AnyCodable] = try await client.getObject(
indexName: "<YOUR_INDEX_NAME>",
objectID: "uniqueID",
attributesToRetrieve: ["attr1", "attr2"]
)
// print the response
print(response)
See the full API reference
For more details about input parameters
and response fields.